library(shiny)

# Exercise 4.2 solution

# 1. get the app working
#     Fix the bugs in this code - there should be 3
# 
# 2. 
#   a.  change the limit on the slider bar so that it goes up to 100 in increments of 5
#   b.  update the histogram so that the value passed to rnorm is the product of 
#       the 2 selected numbers
#   c. change the plot title and the x axis label to something more informative

ui <- fluidPage(
  
  titlePanel("Exercise 4"),

  numericInput(inputId = "number1", label = "Choose a number", value = 55),
  
  sliderInput(inputId = "number2", label   = "Choose another number",
              min = 5, max = 100, value = 10, step = 5),

  br(),

  textOutput(outputId = "info"),
  
  plotOutput(outputId = "normal_distribution", width = 500)
      
)

server <- function(input, output, session) {

  output$info <- renderText(paste0("The two chosen numbers are ", 
                                   input$number1, 
                                   " and ", 
                                   input$number2)
                            )

  output$normal_distribution <- renderPlot({
    
      total <- input$number1 * input$number2
    
      hist(rnorm(total), 
         main = paste0("normal distribution, n = ", total),
         xlab = paste0("rnorm(n=", total, ")")
      )
  })

}

shinyApp(ui, server)